/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXMLHttpRequestProgressEvent_H___INT_
#define __GdomXMLHttpRequestProgressEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomProgressEvent.h"
#include "GDOMObject.h"
#include "XMLHttpRequestProgressEvent.h"
G_BEGIN_DECLS
class GDOMXMLHttpRequestProgressEvent : public GDOMProgressEvent {
    typedef GDOMProgressEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_XML_HTTP_REQUEST_PROGRESS_EVENT; }
    GDOMXMLHttpRequestProgressEvent(PassRefPtr<WebCore::XMLHttpRequestProgressEvent> impl);
};
G_END_DECLS

#endif /* __GdomXMLHttpRequestProgressEvent_H___INT_*/
